// Constant variables of input and button
const inputField = document.querySelector('input');
const qrImg = document.getElementById('qrImg');
const qrBox = document.getElementById('qrBox');

// Function to generate QR code 
function generateQrCode() {
  const text = inputField.value;

  // Check if the input field is empty
  if (text === "") {
    alert("Please enter text to generate a QR code.");
    return;
  }

  // Construct the URL for the qrserver.com API
  const apiUrl = `https://api.qrserver.com/v1/create-qr-code/?size=150x150&data=${encodeURIComponent(text)}`;

  // Generating image 
  qrImg.src = apiUrl;
  qrBox.setAttribute("id", "qrBoxGenerated");

}

document.querySelector('button').addEventListener('click', generateQrCode);
